smplayer live ebuild update
authordweezil <bram.aelvoet@gmail.com>
Sun, 24 Jan 2016 16:59:13 +0000 (17:59 +0100)
committerdweezil <bram.aelvoet@gmail.com>
Sun, 24 Jan 2016 16:59:13 +0000 (17:59 +0100)
media-video/smplayer/Manifest
media-video/smplayer/files/smplayer-14.9.0-zero-bidi.patch [new file with mode: 0644]
media-video/smplayer/files/smplayer-14.9.0.6690-zero-bidi.patch [new file with mode: 0644]
media-video/smplayer/files/smplayer-14.9.0.6966-unbundle-qtsingleapplication.patch [new file with mode: 0644]
media-video/smplayer/smplayer-9999.ebuild

index cb0d912ce1f96c641b8b871a3144b5ce0bf75c15..d3f6ae7e30f468141d83fc5ecb03fc97d1e1af50 100644 (file)
@@ -1 +1,4 @@
-EBUILD smplayer-9999.ebuild 2547 SHA256 465bc8f4c67f5ec63bac9b4c63940a1104d69766f96b9107a2d755db7f005ecd SHA512 f98a5c9f9d86e96855827f74ed8125f2080bce93565bf1477009c0d7b5ae70a0cf8c9afbc4977171575e107b5226404e67855b83c04b0454889c7cc361d634f3 WHIRLPOOL bbfaffbba2a33e6a9fe9265865fdabf6ef81948f4a7629f9ca04110e44f30dc8bf65a75edd2cdc6bb51664cca46e522199bc3f55687fd97e9ac3c31ee3738ad0
+AUX smplayer-14.9.0-zero-bidi.patch 870 SHA256 2512d52581ba20980ea3451b318a573f6dc7c501243db177758bed40552a5cf7 SHA512 20a57ce4ee4e1d515ca4109662d8247a5d9910152c9aabfee1a4fd3d697fa5b481dfaa17bbba0465accda79f16480de432761c19fbb5f1043821045f61cd6c2b WHIRLPOOL 48c626d95dc05225e2a1cee1d22da1ca5929fb2aecdbb538865b064af849d9859797e917e34e0bab56b36cb49d9c0705981b7e6b11130a16265bbd2c8405c029
+AUX smplayer-14.9.0.6690-zero-bidi.patch 410 SHA256 b1dc553f744fdbeddbdf3cc250122785e61b48a35b318426ad6c367b06e0d653 SHA512 0498e2519fbaf5f217e0ae7b47660f26e5a25a99aa8500c6e82716540d348d679628d061552e75afbf70dbe38e5ce3a433c553119d1ab8180e6fe7d9640433e7 WHIRLPOOL 87890c3052910b83af8e0f6273a951f82fd7b1904dcadeba7565dc9dd3c30659564cf09fa693541592c358971e7bf9bb5071986fa3190569034137129cb4becd
+AUX smplayer-14.9.0.6966-unbundle-qtsingleapplication.patch 566 SHA256 98b2691eac48a50fe851366f225a7a1017ac3769f9478639bf292bb9c45142db SHA512 9c757a1eaca358c9fb712801c0a17d084ea9dd3be26dd43f9b2c83bf39d2bbe4b458ba9432aba9e76cb83b56fb698a2976951be2074acfaa787cbfbed2a54fa9 WHIRLPOOL fe60ee7fd20ab4cc3c9286295163413c8e798bcae6c25930b501094c25545235cf92aae9d50f4f9694bb0ed5c47ae9d8a1c9ba776f180c23c6bbe3ac3f3a00a2
+EBUILD smplayer-9999.ebuild 3720 SHA256 3ef714ba7bbc7c50b8b5177c8f86a1f813a598101b91ab5e5b97a61d76a97efa SHA512 a6595141cfd50eeca0d462882544d20cf981b39c80c674d143c4bc4377c45c3409f876d7d865cf2fed32fcae5e1abf69a0c0efeecdf24e7387c80f09a762bf46 WHIRLPOOL 8ac321e9ab5ed38696a490b73a79ba68d97c123acb8b35e9999c28b5337327acbd074689e082f8ec92ac0f7cc19f8a878eb715b1207b0ebc04399a0fa755e652
diff --git a/media-video/smplayer/files/smplayer-14.9.0-zero-bidi.patch b/media-video/smplayer/files/smplayer-14.9.0-zero-bidi.patch
new file mode 100644 (file)
index 0000000..a484432
--- /dev/null
@@ -0,0 +1,27 @@
+From 79a41ed3f12749df4a3a82f73e33aabeafa1a32f Mon Sep 17 00:00:00 2001
+From: Sebastian Pipping <sebastian@pipping.org>
+Date: Tue, 7 Oct 2014 21:15:43 +0200
+Subject: [PATCH] Support mplayer 1.x without FriBiDi support
+
+---
+ src/core.cpp | 4 ----
+ 1 file changed, 4 deletions(-)
+
+diff --git a/src/core.cpp b/src/core.cpp
+index ef6f806..f5dfceb 100644
+--- a/src/core.cpp
++++ b/src/core.cpp
+@@ -1819,10 +1819,6 @@ void Core::startMplayer( QString file, double seek ) {
+               proc->addArgument( "-ass-font-scale");
+               proc->addArgument( QString::number(mset.sub_scale_ass) );
+-              if (!pref->mplayer_is_mplayer2) {
+-                      proc->addArgument( "-noflip-hebrew" ); // It seems to be necessary to display arabic subtitles correctly when using -ass
+-              }
+-
+               if (!pref->force_ass_styles) {
+                       // Load the styles.ass file
+                       if (!QFile::exists(Paths::subtitleStyleFile())) {
+-- 
+2.1.1
+
diff --git a/media-video/smplayer/files/smplayer-14.9.0.6690-zero-bidi.patch b/media-video/smplayer/files/smplayer-14.9.0.6690-zero-bidi.patch
new file mode 100644 (file)
index 0000000..650dcd7
--- /dev/null
@@ -0,0 +1,13 @@
+--- a/src/core.cpp
++++ b/src/core.cpp
+@@ -1811,10 +1811,6 @@
+               proc->setOption("ass-font-scale", QString::number(mset.sub_scale_ass));
+-              if (!pref->mplayer_is_mplayer2) {
+-                      proc->setOption("flip-hebrew",false); // It seems to be necessary to display arabic subtitles correctly when using -ass
+-              }
+-
+               if (pref->enable_ass_styles) {
+                       if (!pref->force_ass_styles) {
+                               // Load the styles.ass file
diff --git a/media-video/smplayer/files/smplayer-14.9.0.6966-unbundle-qtsingleapplication.patch b/media-video/smplayer/files/smplayer-14.9.0.6966-unbundle-qtsingleapplication.patch
new file mode 100644 (file)
index 0000000..e7fca64
--- /dev/null
@@ -0,0 +1,15 @@
+--- smplayer-14.9.0.6966.orig/src/smplayer.pro 2015-04-18 10:11:32.000000000 +0800
++++ smplayer-14.9.0.6966/src/smplayer.pro      2015-07-01 13:18:39.283850646 +0800
+@@ -285,11 +285,7 @@
+ # qtsingleapplication
+ contains( DEFINES, SINGLE_INSTANCE ) {
+-      INCLUDEPATH += qtsingleapplication
+-      DEPENDPATH += qtsingleapplication
+-
+-      SOURCES += qtsingleapplication/qtsingleapplication.cpp qtsingleapplication/qtlocalpeer.cpp
+-      HEADERS += qtsingleapplication/qtsingleapplication.h qtsingleapplication/qtlocalpeer.h
++      CONFIG += qtsingleapplication
+ }
+ # Find subtitles dialog
index f3852b26d59aa61314beffbce69f09db8883fd18..775a0d495bf45238fd1c6f42359942e748c5eb19 100644 (file)
@@ -1,38 +1,51 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-video/smplayer/smplayer-14.9.0-r1.ebuild,v 1.1 2014/10/07 19:51:37 sping Exp $
+# $Id$
 
 EAPI=5
-PLOCALES="ar_SY bg ca cs da de el_GR en_US es et eu fi fr gl he_IL hr hu it ja
-ka ko ku lt mk ms_MY nl pl pt pt_BR ro_RO ru_RU sk sl_SI sr sv th tr uk_UA vi_VN
-zh_CN zh_TW"
+PLOCALES="ar ar_SY bg ca cs da de el_GR en_GB en_US es et eu fi fr gl he_IL hr
+hu id it ja ka ko ku lt mk ms_MY nl nn_NO pl pt pt_BR ro_RO ru_RU sk sl_SI sq_AL
+sr sv th tr uk_UA vi_VN zh_CN zh_TW"
 PLOCALE_BACKUP="en_US"
+inherit eutils l10n qmake-utils subversion
 
-inherit eutils l10n qt4-r2 subversion
-
-#SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
+DESCRIPTION="Great Qt GUI front-end for mplayer/mpv"
+HOMEPAGE="http://smplayer.info/"
 ESVN_REPO_URI="https://subversion.assembla.com/svn/smplayer/smplayer/trunk"
 
 
-DESCRIPTION="Great Qt4 GUI front-end for mplayer"
-HOMEPAGE="http://smplayer.sourceforge.net/"
 LICENSE="GPL-2 BSD"
 SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux"
-IUSE="autoshutdown bidi debug"
-
-DEPEND="dev-qt/qtcore:4
-       dev-qt/qtgui:4
-       autoshutdown? ( dev-qt/qtdbus:4 )"
-COMMON_USE="libass,png,X"
+KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux"
+IUSE="autoshutdown bidi debug mpris +qt4 qt5 streaming"
+REQUIRED_USE="^^ ( qt4 qt5 )"
+
+DEPEND="
+       qt4? ( dev-qt/qtcore:4
+               dev-qt/qtgui:4
+               dev-qt/qtsingleapplication[X,qt4]
+               autoshutdown? ( dev-qt/qtdbus:4 )
+               mpris? ( dev-qt/qtdbus:4 )
+               streaming? ( dev-qt/qtcore:4[ssl] ) )
+       qt5? ( dev-qt/linguist-tools:5
+               dev-qt/qtcore:5
+               dev-qt/qtgui:5
+               dev-qt/qtnetwork:5
+               >=dev-qt/qtsingleapplication-2.6.1_p20150629[X,qt5]
+               dev-qt/qtwidgets:5
+               dev-qt/qtxml:5
+               autoshutdown? ( dev-qt/qtdbus:5 )
+               mpris? ( dev-qt/qtdbus:5 )
+               streaming? ( dev-qt/qtnetwork:5[ssl]
+                       dev-qt/qtscript:5 ) )"
 RDEPEND="${DEPEND}
-       || (
-               media-video/mpv
-               media-video/mplayer[bidi?,${COMMON_USE}]
-               media-video/mplayer2[${COMMON_USE}]
-       )"
+       || ( media-video/mplayer[bidi?,libass,png,X]
+               ( >=media-video/mpv-0.6.2[libass,X]
+                       streaming? ( >=net-misc/youtube-dl-2014.11.26 ) ) )"
 
 src_prepare() {
+       epatch "${FILESDIR}"/${PN}-14.9.0.6966-unbundle-qtsingleapplication.patch # bug 487544
+       use bidi || epatch "${FILESDIR}"/${PN}-14.9.0.6690-zero-bidi.patch
 
        # Upstream Makefile sucks
        sed -i -e "/^PREFIX=/s:${EPREFIX}/usr/local:${EPREFIX}/usr:" \
@@ -53,23 +66,46 @@ src_prepare() {
                        "${S}"/src/smplayer.pro || die "sed failed"
        fi
 
+       # MPRIS2 pulls in dbus, bug #553710
+       if ! use mpris ; then
+               sed -e 's:DEFINES += MPRIS2:#DEFINES += MPRIS2:' \
+                       -i "${S}"/src/smplayer.pro || die "sed failed"
+       fi
+
        # Turn off online update checker, bug #479902
        sed -e 's:DEFINES += UPDATE_CHECKER:#DEFINES += UPDATE_CHECKER:' \
                -e 's:DEFINES += CHECK_UPGRADED:#DEFINES += CHECK_UPGRADED:' \
                -i "${S}"/src/smplayer.pro || die "sed failed"
 
-       # l10n_find_plocales_changes "${S}/src/translations" "${PN}_" '.ts'
+       # Turn off nasty share widget
+       sed -e 's:DEFINES += SHAREWIDGET:#DEFINES += SHAREWIDGET:' \
+               -i "${S}"/src/smplayer.pro || die "sed failed"
+
+       # Turn off youtube support (which pulls in extra dependencies) if unwanted
+       if ! use streaming ; then
+               sed -e 's:DEFINES += YOUTUBE_SUPPORT:#DEFINES += YOUTUBE_SUPPORT:' \
+               -i "${S}"/src/smplayer.pro || die "sed failed"
+       fi
+
+       l10n_find_plocales_changes "${S}/src/translations" "${PN}_" '.ts'
 }
 
 src_configure() {
        cd "${S}"/src
-       echo "#define SVN_REVISION \"SVN-${MY_PV} (Gentoo)\"" > svn_revision.h
-       eqmake4
+       echo "#define SVN_REVISION \"${PV} (Gentoo)\"" > svn_revision.h
+       use qt4 && eqmake4
+       use qt5 && eqmake5
 }
 
 gen_translation() {
+       local mydir
+       if use qt4; then
+               mydir="$(qt4_get_bindir)"
+       elif use qt5; then
+               mydir="$(qt5_get_bindir)"
+       fi
        ebegin "Generating $1 translation"
-       lrelease ${PN}_${1}.ts
+       "${mydir}"/lrelease ${PN}_${1}.ts
        eend $? || die "failed to generate $1 translation"
 }